---
title: XMLHttpRequest.multipart
slug: Web/API/XMLHttpRequest/multipart
tags:
  - API
  - Gecko
  - Mozilla
  - Non-standard
  - Obsolete
  - Property
  - Reference
  - XMLHttpRequest
  - multipart
---
<div>{{APIRef('XMLHttpRequest')}}{{non-standard_header}}</div>

<div class="warning">
<p>Obsolete since Gecko 22</p>
</div>

<p><strong>This Gecko-only feature was removed in Firefox/Gecko 22.</strong> Please use <a href="/en-US/docs/Web/API/Server-sent_events">Server-Sent Events</a>, <a href="/en-US/docs/Web/API/WebSockets_API">Web Sockets</a>, or <code>responseText</code> from progress events instead.</p>

<p><span class="seoSummary">This boolean indicates if the response is expected to be a stream of possibly multiple XML documents.</span> If set to <code>true</code>, the content type of the initial response must be <code>multipart/x-mixed-replace</code> or an error will occur. All requests must be asynchronous.</p>

<p>This enables support for server push; for each XML document that's written to this request, a new XML DOM document is created and the <code>onload</code> handler is called between documents.</p>

<div class="note">
<p><strong>Note:</strong> When this is set, the <code>onload</code> handler and other event handlers are not reset after the first XMLdocument is loaded, and the <code>onload</code> handler is called after each part of the response is received.</p>
</div>
